---
title: Node.normalize()
slug: Web/API/Node/normalize
tags:
  - API
  - DOM
  - Method
  - NeedsSpecTable
  - Node
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>Node.normalize()</strong></code> method puts the specified node and all of its sub-tree into a "normalized" form. In a normalized sub-tree, no text nodes in the sub-tree are empty and there are no adjacent text nodes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js"><em>element</em>.normalize();
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">let wrapper = document.createElement("div");

wrapper.appendChild( document.createTextNode("Part 1 ") );
wrapper.appendChild( document.createTextNode("Part 2 ") );

// At this point, wrapper.childNodes.length === 2
// wrapper.childNodes[0].textContent === "Part 1 "
// wrapper.childNodes[1].textContent === "Part 2 "

wrapper.normalize();

// Now, wrapper.childNodes.length === 1
// wrapper.childNodes[0].textContent === "Part 1 Part 2 "</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-node-normalize", "Node: normalize")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.normalize")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Text.splitText()")}}</li>
</ul>
